<?php
/**
* 商品削除タスク
*
* PHP version 5
*
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
class ShouhinDelTask extends DatabaseTask implements ITask
{
	public $shouhin_list;
	public $manufacturer_list;

	/*
	 *    コンストラクタ
	 */
	public function __construct()
	{
		parent::__construct();
	}

	/**
	 * イベントを処理する
	 */
	public function processEvent( IEvent $event, TaskSnapshot $snapshot )
	{
		// Requestパラメータから削除する商品データのIDを取得
		$id = $event->get( s('id') );

		// 削除
		$this->destroyById( s('shouhin'), s($id) );

		return b(TRUE);
	}

}
